Subject: Re: [PATCH] Always copy template files (no symlinking)

From: Junio C Hamano <[email-masked]>
Date: Tue, 22 Apr 2008 10:05:01 -0700

Michael Weber <[email-masked]> writes:

> Previously, git would readlink(2) template files that are symlinks,
> and then symlink(2) the result into .git/.  This does not work for
> relative symlinks (as produced by, e.g., encap), and is probably not a
> good idea either: it is an irrelevant detail that a file in the
> template directory is symlinked.

This was very deliberately done to allow a relative symlink that points at
e.g. ../../hooks/pre-commit with .git/hooks/pre-commit.  IOW, "use what
the project suggests".